GDB (xrefs)

Public Attributes | List of all members
macro_table Struct Reference

## Public Attributes
struct obstack * | obstack
struct bcache * | bcache
struct macro_source_file * | main_source
struct compunit_symtab * | compunit_symtab
int | redef_ok
splay_tree | definitions

## Detailed Description

Definition at line 35 of file macrotab.c.

## Member Data Documentation

## ◆ bcache

struct bcache* macro_table::bcache

Definition at line 43 of file macrotab.c.

Referenced by macro_bcache(), macro_bcache_free(), and new_macro_table().

## ◆ compunit_symtab

struct compunit_symtab* macro_table::compunit_symtab

Definition at line 51 of file macrotab.c.

Referenced by macro_source_fullname(), and new_macro_table().

## ◆ definitions

splay_tree macro_table::definitions

Definition at line 75 of file macrotab.c.

Referenced by find_definition(), free_macro_table(), macro_define_function(), macro_define_object_internal(), macro_for_each(), macro_for_each_in_scope(), macro_undef(), and new_macro_table().

## ◆ main_source

struct macro_source_file* macro_table::main_source

Definition at line 48 of file macrotab.c.

Referenced by free_macro_table(), macro_define_special(), macro_main(), macro_set_main(), and new_macro_table().

## ◆ obstack

struct obstack* macro_table::obstack

Definition at line 39 of file macrotab.c.

Referenced by macro_alloc(), macro_allow_redefinitions(), macro_free(), and new_macro_table().

## ◆ redef_ok

int macro_table::redef_ok

Definition at line 55 of file macrotab.c.

Referenced by macro_allow_redefinitions(), macro_define_function(), macro_define_object_internal(), and new_macro_table().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/macrotab.c